{
    "format_version": "1.21.40",
    "minecraft:block": {
        "description": {
            "identifier": "rc:marker",
            "menu_category": {
                "category": "items",
                "is_hidden_in_commands": false
            },
            "states": {
                "rc:is_activated": [
                    false,
                    true
                ]
            }
        },
        "components": {
			"tag:minecraft:is_pickaxe_item_destructible": {},
"minecraft:custom_components": [
				"rc:marker"
			],
            "minecraft:light_emission": 0,
            "minecraft:light_dampening": 0,
            "minecraft:geometry": "geometry.marker",
            "minecraft:material_instances": {
                "*": {
                    "texture": "rc.marker_off",
                    "render_method": "alpha_test",
                    "face_dimming": false,
                    "ambient_occlusion": false
                }
            },
            "minecraft:collision_box": {
                "origin": [
                    -1.5,
                    0,
                    -1.5
                ],
                "size": [
                    3,
                    11,
                    3
                ]
            },
            "minecraft:selection_box": {
                "origin": [
                    -1.5,
                    0,
                    -1.5
                ],
                "size": [
                    3,
                    11,
                    3
                ]
            },
            "minecraft:destructible_by_explosion": false,
            "minecraft:destructible_by_mining": {
                "seconds_to_destroy": 1
            },
			"minecraft:tick": {
				"interval_range": [
					15,
					15
				]
			}
        },
        "permutations": [
            {
                "condition": "query.block_state('rc:is_activated') == true",
                "components": {
                    "minecraft:light_emission": 10,
                    "minecraft:material_instances": {
                        "*": {
                            "texture": "rc.marker_on",
                            "render_method": "alpha_test",
                            "face_dimming": false,
                            "ambient_occlusion": false
                        }
                    }
                }
            }
        ]
    }
}